GNU bug report logs - #32835
Icecat is missing fonts (on foreign distro)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Björn Höfling <bjoern.hoefling@HIDDEN>; merged with #33996; dated Tue, 25 Sep 2018 07:06:01 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 32835 33996. Request was from Ricardo Wurmus <rekado@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 32835 <at> debbugs.gnu.org:


Received: (at 32835) by debbugs.gnu.org; 31 Jan 2019 16:35:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 31 11:35:58 2019
Received: from localhost ([127.0.0.1]:53209 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gpFJm-0001EX-8E
	for submit <at> debbugs.gnu.org; Thu, 31 Jan 2019 11:35:58 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:41810)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreas@HIDDEN>) id 1gpFJk-0001EN-Jg
 for 32835 <at> debbugs.gnu.org; Thu, 31 Jan 2019 11:35:56 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 175A39A8D;
 Thu, 31 Jan 2019 17:35:55 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id FXOY15sOrGYX; Thu, 31 Jan 2019 17:35:54 +0100 (CET)
Received: from jurong (cable-78.29.213.16.coditel.net [78.29.213.16])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 965B79A8B;
 Thu, 31 Jan 2019 17:35:53 +0100 (CET)
Date: Thu, 31 Jan 2019 17:35:51 +0100
From: Andreas Enge <andreas@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: bug#32835: icecat show many warning and don't display correctly
Message-ID: <20190131163551.GA27000@jurong>
References: <20190107181000.GA14844@jurong>
 <CAH2wgjjAW3fg2tfKnGNOHvR98Jd+5HhRmPov0K_H0CF6DvLevA@HIDDEN>
 <78584a9f1b7beabb5b6b09d6a67aa84e@HIDDEN>
 <20190127155410.GC10186@jurong>
 <20190128013129.upbea2jzzqyncpew@WaraToNora>
 <20190130170158.GA4088@jurong> <87d0oenhvu.fsf@HIDDEN>
 <20190131104723.GA6146@jurong>
 <34AD502E-C138-4A99-8640-415F5E08F031@HIDDEN>
 <20190131162328.GA26610@jurong>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <20190131162328.GA26610@jurong>
User-Agent: Mutt/1.11.0 (2018-11-25)
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 32835
Cc: kumagusu08@HIDDEN, quiliro@HIDDEN, help-guix@HIDDEN,
 32835 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

Well, things are more delicate than that. It is not enough to just swap the
build system, something probably also needs to be done around these lines
in the build recipe:
       #:modules ((ice-9 ftw)
                  (ice-9 rdelim)
                  (ice-9 match)
                  ,@%gnu-build-system-modules)

Also, the binary is already wrapped:
         (add-after 'install 'wrap-program
           (lambda* (#:key inputs outputs #:allow-other-keys)
             (let* ((out (assoc-ref outputs "out"))
                    (lib (string-append out "/lib"))
                    (gtk (assoc-ref inputs "gtk+"))
                    (gtk-share (string-append gtk "/share")))
               (wrap-program (car (find-files lib "^icecat$"))
                 `("XDG_DATA_DIRS" ":" prefix (,gtk-share)))
               #t))))))

I am deferring to someone more knowledgeable...

Andreas





Information forwarded to bug-guix@HIDDEN:
bug#32835; Package guix. Full text available.

Message received at 32835 <at> debbugs.gnu.org:


Received: (at 32835) by debbugs.gnu.org; 31 Jan 2019 16:23:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 31 11:23:36 2019
Received: from localhost ([127.0.0.1]:53187 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gpF7o-0000uU-Bq
	for submit <at> debbugs.gnu.org; Thu, 31 Jan 2019 11:23:36 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:41588)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreas@HIDDEN>) id 1gpF7m-0000uK-ED
 for 32835 <at> debbugs.gnu.org; Thu, 31 Jan 2019 11:23:34 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 4D3F89A24;
 Thu, 31 Jan 2019 17:23:33 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id gp9qSUK8LTQU; Thu, 31 Jan 2019 17:23:32 +0100 (CET)
Received: from jurong (cable-78.29.213.16.coditel.net [78.29.213.16])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 7ED659A23;
 Thu, 31 Jan 2019 17:23:31 +0100 (CET)
Date: Thu, 31 Jan 2019 17:23:28 +0100
From: Andreas Enge <andreas@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: bug#32835: icecat show many warning and don't display correctly
Message-ID: <20190131162328.GA26610@jurong>
References: <CAE4v=pg89dbz-JESa4eEohb2FySd+q_Cv8JSxKGCZYN7fVShbg@HIDDEN>
 <20190107181000.GA14844@jurong>
 <CAH2wgjjAW3fg2tfKnGNOHvR98Jd+5HhRmPov0K_H0CF6DvLevA@HIDDEN>
 <78584a9f1b7beabb5b6b09d6a67aa84e@HIDDEN>
 <20190127155410.GC10186@jurong>
 <20190128013129.upbea2jzzqyncpew@WaraToNora>
 <20190130170158.GA4088@jurong> <87d0oenhvu.fsf@HIDDEN>
 <20190131104723.GA6146@jurong>
 <34AD502E-C138-4A99-8640-415F5E08F031@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <34AD502E-C138-4A99-8640-415F5E08F031@HIDDEN>
User-Agent: Mutt/1.11.0 (2018-11-25)
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 32835
Cc: Yoshinori Arai <kumagusu08@HIDDEN>, quiliro@HIDDEN, bug-guix@HIDDEN,
 Ricardo Wurmus <rekado@HIDDEN>, help-guix@HIDDEN, 32835 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

On Thu, Jan 31, 2019 at 01:24:03PM +0000, Maxim Cournoyer wrote:
> Then something is wrong. Changing something as important should have definitly triggered a rebuild.
> Are you modifying a git checkout of Guide and prefixing all of the Guix commands with "./pre-inst-env" ?

Apologies, I must have made a mistake. Trying again a new build starts.

Andreas





Information forwarded to bug-guix@HIDDEN:
bug#32835; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 Jan 2019 16:23:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 31 11:23:53 2019
Received: from localhost ([127.0.0.1]:53190 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gpF84-0000uz-KZ
	for submit <at> debbugs.gnu.org; Thu, 31 Jan 2019 11:23:52 -0500
Received: from eggs.gnu.org ([209.51.188.92]:44968)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreas@HIDDEN>) id 1gpF83-0000uk-Be
 for submit <at> debbugs.gnu.org; Thu, 31 Jan 2019 11:23:51 -0500
Received: from lists.gnu.org ([209.51.188.17]:42976)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <andreas@HIDDEN>) id 1gpF7y-0000p7-1b
 for submit <at> debbugs.gnu.org; Thu, 31 Jan 2019 11:23:46 -0500
Received: from eggs.gnu.org ([209.51.188.92]:59343)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <andreas@HIDDEN>) id 1gpF7x-000351-8Y
 for bug-guix@HIDDEN; Thu, 31 Jan 2019 11:23:45 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20 autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <andreas@HIDDEN>) id 1gpF7w-0000o5-L0
 for bug-guix@HIDDEN; Thu, 31 Jan 2019 11:23:45 -0500
Received: from hera.aquilenet.fr ([2a0c:e300::1]:52442)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <andreas@HIDDEN>)
 id 1gpF7w-0000gA-E4; Thu, 31 Jan 2019 11:23:44 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 4D3F89A24;
 Thu, 31 Jan 2019 17:23:33 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id gp9qSUK8LTQU; Thu, 31 Jan 2019 17:23:32 +0100 (CET)
Received: from jurong (cable-78.29.213.16.coditel.net [78.29.213.16])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 7ED659A23;
 Thu, 31 Jan 2019 17:23:31 +0100 (CET)
Date: Thu, 31 Jan 2019 17:23:28 +0100
From: Andreas Enge <andreas@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Subject: Re: bug#32835: icecat show many warning and don't display correctly
Message-ID: <20190131162328.GA26610@jurong>
References: <CAE4v=pg89dbz-JESa4eEohb2FySd+q_Cv8JSxKGCZYN7fVShbg@HIDDEN>
 <20190107181000.GA14844@jurong>
 <CAH2wgjjAW3fg2tfKnGNOHvR98Jd+5HhRmPov0K_H0CF6DvLevA@HIDDEN>
 <78584a9f1b7beabb5b6b09d6a67aa84e@HIDDEN>
 <20190127155410.GC10186@jurong>
 <20190128013129.upbea2jzzqyncpew@WaraToNora>
 <20190130170158.GA4088@jurong> <87d0oenhvu.fsf@HIDDEN>
 <20190131104723.GA6146@jurong>
 <34AD502E-C138-4A99-8640-415F5E08F031@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <34AD502E-C138-4A99-8640-415F5E08F031@HIDDEN>
User-Agent: Mutt/1.11.0 (2018-11-25)
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a0c:e300::1
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
Cc: Yoshinori Arai <kumagusu08@HIDDEN>, quiliro@HIDDEN, bug-guix@HIDDEN,
 Ricardo Wurmus <rekado@HIDDEN>, help-guix@HIDDEN, 32835 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

On Thu, Jan 31, 2019 at 01:24:03PM +0000, Maxim Cournoyer wrote:
> Then something is wrong. Changing something as important should have definitly triggered a rebuild.
> Are you modifying a git checkout of Guide and prefixing all of the Guix commands with "./pre-inst-env" ?

Apologies, I must have made a mistake. Trying again a new build starts.

Andreas





Information forwarded to bug-guix@HIDDEN:
bug#32835; Package guix. Full text available.

Message received at 32835 <at> debbugs.gnu.org:


Received: (at 32835) by debbugs.gnu.org; 31 Jan 2019 13:35:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 31 08:35:49 2019
Received: from localhost ([127.0.0.1]:52223 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gpCVQ-0003K0-NK
	for submit <at> debbugs.gnu.org; Thu, 31 Jan 2019 08:35:48 -0500
Received: from mail-io1-f43.google.com ([209.85.166.43]:44996)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1gpCVO-0003Jj-Ig
 for 32835 <at> debbugs.gnu.org; Thu, 31 Jan 2019 08:35:47 -0500
Received: by mail-io1-f43.google.com with SMTP id r200so2581179iod.11
 for <32835 <at> debbugs.gnu.org>; Thu, 31 Jan 2019 05:35:46 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=date:in-reply-to:references:mime-version:content-transfer-encoding
 :subject:to:cc:from:message-id;
 bh=vpmvgE9LsQPDaCe9W2HFJx6/fD0MzqmBIsRUr+eAj+o=;
 b=V7e0mrkY5tQgYfbl/IIpkUMZIjovDXEQrFRiEYs5S43CJX2XWsww1a/8qbL4V9crkQ
 c+j27fKxbs/WBcsmvPxx65oA46Wzh6MF6V9bXZy0h0/3oiAzTwF/tcfarwCWVAwL7KSc
 8LkzxfmlfJQSa8vVONgrXFPJxnWmXNGZks8NN6Mvz2FgGgC7fbhZRcUKQ5mXAkVMCaJB
 4U4+Sf+oqGA5ui/opSDYDUPQc6sOpl1KrsAgtArzcW1NVS21673eeZCCzWRoM14c3pIY
 P8TklqihjtMps9Gmqd8uRir/WBy7ziC+9iwuQy09a9pzspuG0Vr0QLqINNtDdyYW8WWe
 r32A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:in-reply-to:references:mime-version
 :content-transfer-encoding:subject:to:cc:from:message-id;
 bh=vpmvgE9LsQPDaCe9W2HFJx6/fD0MzqmBIsRUr+eAj+o=;
 b=LLlHi2HA9Ag7DWCeBNIb6chaSuNVV6yqICEtMORZqsaonkSht4c+FjZjlANRYB36L7
 Ze8FWjaSAfimDssmDhsHdDEWou+rYBc0aSld7fJ/xWw0aIB3/XWFIUrvv+SvO4XyC6zz
 2g15YEWU8mTne+D4kmJvuw8o+riurziMqwMs/U3ajapqW0g7j8Jc5k6LACLTHBsldnvX
 VsXkdNW0637necdI33W3p9Pv2uX0T1hXFoJvB2D+5JmSnXXsZw5chsvSDeclwe6EXF5Y
 dxGHLhsZ3+Rh/5E8vINgS7zAWrWEVSPZbdfoWfx81RQJVwL1pdDKBV54d5tk+ePogzK7
 QgGg==
X-Gm-Message-State: AHQUAuYt5XnoLBcd7rRxitoQTQ29XEnNjWsmrcY/aDLfIYpUiuWikBvI
 GF736i8DLJP4+ZOWjnP9Ti4=
X-Google-Smtp-Source: AHgI3IYUmFwaBBqaty5C9/pPOBTe8ZuBoAffLnZiXNMtt8dmYPNhG/RtsT/v6Rnqsed/66xKWzNI+A==
X-Received: by 2002:a6b:8d04:: with SMTP id p4mr18624278iod.222.1548941739830; 
 Thu, 31 Jan 2019 05:35:39 -0800 (PST)
Received: from [25.48.15.230] ([24.114.92.106])
 by smtp.gmail.com with ESMTPSA id g12sm2014669iok.38.2019.01.31.05.35.38
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 31 Jan 2019 05:35:39 -0800 (PST)
Date: Thu, 31 Jan 2019 13:24:03 +0000
In-Reply-To: <20190131104723.GA6146@jurong>
References: <CAE4v=piCm1wpKDtoraGx62qTg5-bte6L67oH2s2-Te5hFsVisA@HIDDEN>
 <CAH2wgjh=GU00GByWF88k0z5DN8jEaUhLFfb031ODyzXuMVp3BQ@HIDDEN>
 <CAE4v=pg89dbz-JESa4eEohb2FySd+q_Cv8JSxKGCZYN7fVShbg@HIDDEN>
 <20190107181000.GA14844@jurong>
 <CAH2wgjjAW3fg2tfKnGNOHvR98Jd+5HhRmPov0K_H0CF6DvLevA@HIDDEN>
 <78584a9f1b7beabb5b6b09d6a67aa84e@HIDDEN> <20190127155410.GC10186@jurong>
 <20190128013129.upbea2jzzqyncpew@WaraToNora> <20190130170158.GA4088@jurong>
 <87d0oenhvu.fsf@HIDDEN> <20190131104723.GA6146@jurong>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#32835: icecat show many warning and don't display correctly
To: bug-guix@HIDDEN, Andreas Enge <andreas@HIDDEN>,
 Ricardo Wurmus <rekado@HIDDEN>
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Message-ID: <34AD502E-C138-4A99-8640-415F5E08F031@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32835
Cc: Yoshinori Arai <kumagusu08@HIDDEN>, quiliro@HIDDEN, help-guix@HIDDEN,
 32835 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

On January 31, 2019 10:47:23 AM UTC, Andreas Enge <andreas@enge=2Efr> wrot=
e:
>On Wed, Jan 30, 2019 at 07:02:29PM +0100, Ricardo Wurmus wrote:
>> The solution might be to use glib-or-gtk-build-system instead of
>> gnu-build-system=2E  This would wrap the binary in the required
>> variables=2E
>>=20
>> Would someone like to try this before we make the change in the
>master
>> branch?
>
>I did and nothing changed=2E I was a bit surprised that icecat does not
>get
>rebuilt=2E

Then something is wrong=2E Changing something as important should have def=
initly triggered a rebuild=2E

Are you modifying a git checkout of Guide and prefixing all of the Guix co=
mmands with "=2E/pre-inst-env" ?

Maxim




Information forwarded to bug-guix@HIDDEN:
bug#32835; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 Jan 2019 13:35:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 31 08:35:59 2019
Received: from localhost ([127.0.0.1]:52226 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gpCVb-0003KO-0K
	for submit <at> debbugs.gnu.org; Thu, 31 Jan 2019 08:35:59 -0500
Received: from eggs.gnu.org ([209.51.188.92]:40316)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1gpCVX-0003KA-NO
 for submit <at> debbugs.gnu.org; Thu, 31 Jan 2019 08:35:56 -0500
Received: from lists.gnu.org ([209.51.188.17]:43361)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <maxim.cournoyer@HIDDEN>)
 id 1gpCVS-0006zG-BW
 for submit <at> debbugs.gnu.org; Thu, 31 Jan 2019 08:35:50 -0500
Received: from eggs.gnu.org ([209.51.188.92]:54659)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1gpCVR-0004Oq-2b
 for bug-guix@HIDDEN; Thu, 31 Jan 2019 08:35:50 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_20,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1gpCVP-0006v7-0s
 for bug-guix@HIDDEN; Thu, 31 Jan 2019 08:35:48 -0500
Received: from mail-io1-xd2c.google.com ([2607:f8b0:4864:20::d2c]:42603)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <maxim.cournoyer@HIDDEN>)
 id 1gpCVN-0006pu-2H; Thu, 31 Jan 2019 08:35:46 -0500
Received: by mail-io1-xd2c.google.com with SMTP id x6so2598702ioa.9;
 Thu, 31 Jan 2019 05:35:40 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=date:in-reply-to:references:mime-version:content-transfer-encoding
 :subject:to:cc:from:message-id;
 bh=vpmvgE9LsQPDaCe9W2HFJx6/fD0MzqmBIsRUr+eAj+o=;
 b=V7e0mrkY5tQgYfbl/IIpkUMZIjovDXEQrFRiEYs5S43CJX2XWsww1a/8qbL4V9crkQ
 c+j27fKxbs/WBcsmvPxx65oA46Wzh6MF6V9bXZy0h0/3oiAzTwF/tcfarwCWVAwL7KSc
 8LkzxfmlfJQSa8vVONgrXFPJxnWmXNGZks8NN6Mvz2FgGgC7fbhZRcUKQ5mXAkVMCaJB
 4U4+Sf+oqGA5ui/opSDYDUPQc6sOpl1KrsAgtArzcW1NVS21673eeZCCzWRoM14c3pIY
 P8TklqihjtMps9Gmqd8uRir/WBy7ziC+9iwuQy09a9pzspuG0Vr0QLqINNtDdyYW8WWe
 r32A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:in-reply-to:references:mime-version
 :content-transfer-encoding:subject:to:cc:from:message-id;
 bh=vpmvgE9LsQPDaCe9W2HFJx6/fD0MzqmBIsRUr+eAj+o=;
 b=AipgLxYlfRCaKpBI8hJ0EBsucgujbWrucNl7e80ubfQeaNOv+d2mKgE12WV8HUpM6+
 KESCIVfAG6PGf6dmbYlfn5fLPFzHRi3CnkxcJDcxGhtQe7LJmXchKCZwi0nW8rkPkiEF
 q2sAyt70B0negMm/cQRgtJ2sndDrT8QUsHdLxAHKNO2bw38SNIH9082KmlnoFGLtUHBN
 s/k2XNmSc5bmZcC1Zf8iuTspO5L3c3JyJVs5SzZpt12GWerg3w2ABw8YdhRXbt5AwGja
 Sn6pm5P4lnjdSsuDr+nYrDvYhz3dEb2A8we3pEm0mK+LB8vvpxKCRRejfdCtwas/zNwX
 L3eg==
X-Gm-Message-State: AHQUAuYwBuOXtqS2TQvh0s/lfmhO7M5LcklvkbagRse/G3+YxxkoOZDr
 aEhLf3SFHQUFFLwse4CcVwgTOJxZJlw=
X-Google-Smtp-Source: AHgI3IYUmFwaBBqaty5C9/pPOBTe8ZuBoAffLnZiXNMtt8dmYPNhG/RtsT/v6Rnqsed/66xKWzNI+A==
X-Received: by 2002:a6b:8d04:: with SMTP id p4mr18624278iod.222.1548941739830; 
 Thu, 31 Jan 2019 05:35:39 -0800 (PST)
Received: from [25.48.15.230] ([24.114.92.106])
 by smtp.gmail.com with ESMTPSA id g12sm2014669iok.38.2019.01.31.05.35.38
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Thu, 31 Jan 2019 05:35:39 -0800 (PST)
Date: Thu, 31 Jan 2019 13:24:03 +0000
In-Reply-To: <20190131104723.GA6146@jurong>
References: <CAE4v=piCm1wpKDtoraGx62qTg5-bte6L67oH2s2-Te5hFsVisA@HIDDEN>
 <CAH2wgjh=GU00GByWF88k0z5DN8jEaUhLFfb031ODyzXuMVp3BQ@HIDDEN>
 <CAE4v=pg89dbz-JESa4eEohb2FySd+q_Cv8JSxKGCZYN7fVShbg@HIDDEN>
 <20190107181000.GA14844@jurong>
 <CAH2wgjjAW3fg2tfKnGNOHvR98Jd+5HhRmPov0K_H0CF6DvLevA@HIDDEN>
 <78584a9f1b7beabb5b6b09d6a67aa84e@HIDDEN> <20190127155410.GC10186@jurong>
 <20190128013129.upbea2jzzqyncpew@WaraToNora> <20190130170158.GA4088@jurong>
 <87d0oenhvu.fsf@HIDDEN> <20190131104723.GA6146@jurong>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#32835: icecat show many warning and don't display correctly
To: bug-guix@HIDDEN, Andreas Enge <andreas@HIDDEN>,
 Ricardo Wurmus <rekado@HIDDEN>
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
Message-ID: <34AD502E-C138-4A99-8640-415F5E08F031@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::d2c
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
Cc: Yoshinori Arai <kumagusu08@HIDDEN>, quiliro@HIDDEN, help-guix@HIDDEN,
 32835 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hello,

On January 31, 2019 10:47:23 AM UTC, Andreas Enge <andreas@enge=2Efr> wrot=
e:
>On Wed, Jan 30, 2019 at 07:02:29PM +0100, Ricardo Wurmus wrote:
>> The solution might be to use glib-or-gtk-build-system instead of
>> gnu-build-system=2E  This would wrap the binary in the required
>> variables=2E
>>=20
>> Would someone like to try this before we make the change in the
>master
>> branch?
>
>I did and nothing changed=2E I was a bit surprised that icecat does not
>get
>rebuilt=2E

Then something is wrong=2E Changing something as important should have def=
initly triggered a rebuild=2E

Are you modifying a git checkout of Guide and prefixing all of the Guix co=
mmands with "=2E/pre-inst-env" ?

Maxim




Information forwarded to bug-guix@HIDDEN:
bug#32835; Package guix. Full text available.

Message received at 32835 <at> debbugs.gnu.org:


Received: (at 32835) by debbugs.gnu.org; 31 Jan 2019 10:47:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 31 05:47:29 2019
Received: from localhost ([127.0.0.1]:52186 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gp9sW-0005bp-SP
	for submit <at> debbugs.gnu.org; Thu, 31 Jan 2019 05:47:29 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:36086)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreas@HIDDEN>) id 1gp9sV-0005bh-Fo
 for 32835 <at> debbugs.gnu.org; Thu, 31 Jan 2019 05:47:27 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 0A1BC992D;
 Thu, 31 Jan 2019 11:47:26 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 0lMQf4AR48YY; Thu, 31 Jan 2019 11:47:25 +0100 (CET)
Received: from jurong (cable-78.29.213.16.coditel.net [78.29.213.16])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 1F4CC9909;
 Thu, 31 Jan 2019 11:47:25 +0100 (CET)
Date: Thu, 31 Jan 2019 11:47:23 +0100
From: Andreas Enge <andreas@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: icecat show many warning and don't display correctly
Message-ID: <20190131104723.GA6146@jurong>
References: <CAE4v=piCm1wpKDtoraGx62qTg5-bte6L67oH2s2-Te5hFsVisA@HIDDEN>
 <CAH2wgjh=GU00GByWF88k0z5DN8jEaUhLFfb031ODyzXuMVp3BQ@HIDDEN>
 <CAE4v=pg89dbz-JESa4eEohb2FySd+q_Cv8JSxKGCZYN7fVShbg@HIDDEN>
 <20190107181000.GA14844@jurong>
 <CAH2wgjjAW3fg2tfKnGNOHvR98Jd+5HhRmPov0K_H0CF6DvLevA@HIDDEN>
 <78584a9f1b7beabb5b6b09d6a67aa84e@HIDDEN>
 <20190127155410.GC10186@jurong>
 <20190128013129.upbea2jzzqyncpew@WaraToNora>
 <20190130170158.GA4088@jurong> <87d0oenhvu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <87d0oenhvu.fsf@HIDDEN>
User-Agent: Mutt/1.11.0 (2018-11-25)
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 32835
Cc: Yoshinori Arai <kumagusu08@HIDDEN>, quiliro@HIDDEN, help-guix@HIDDEN,
 32835 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

On Wed, Jan 30, 2019 at 07:02:29PM +0100, Ricardo Wurmus wrote:
> The solution might be to use glib-or-gtk-build-system instead of
> gnu-build-system.  This would wrap the binary in the required
> variables.
> 
> Would someone like to try this before we make the change in the master
> branch?

I did and nothing changed. I was a bit surprised that icecat does not get
rebuilt. In any case, XDG_DATA_DIRS still does not appear as an environment
variable in $HOME/.guix-profile/etc/profile after installing icecat.

Andreas





Information forwarded to bug-guix@HIDDEN:
bug#32835; Package guix. Full text available.

Message received at 32835 <at> debbugs.gnu.org:


Received: (at 32835) by debbugs.gnu.org; 31 Jan 2019 10:32:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 31 05:32:02 2019
Received: from localhost ([127.0.0.1]:52181 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gp9da-0005DS-D7
	for submit <at> debbugs.gnu.org; Thu, 31 Jan 2019 05:32:02 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:35894)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreas@HIDDEN>) id 1gp9dY-0005D2-2g
 for 32835 <at> debbugs.gnu.org; Thu, 31 Jan 2019 05:32:01 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 91ABF991C
 for <32835 <at> debbugs.gnu.org>; Thu, 31 Jan 2019 11:31:58 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id y2JIA1-lyBUX for <32835 <at> debbugs.gnu.org>;
 Thu, 31 Jan 2019 11:31:58 +0100 (CET)
Received: from jurong (cable-78.29.213.16.coditel.net [78.29.213.16])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 8D05C991A
 for <32835 <at> debbugs.gnu.org>; Thu, 31 Jan 2019 11:31:56 +0100 (CET)
Resent-From: Andreas Enge <andreas@HIDDEN>
Resent-Date: Thu, 31 Jan 2019 11:31:53 +0100
Resent-Message-ID: <20190131103153.GA4296@jurong>
Resent-To: 32835 <at> debbugs.gnu.org
Delivered-To: andreas.enge@HIDDEN
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id D4D159913;
 Thu, 31 Jan 2019 11:30:32 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id aAvMqcdNIeUN; Thu, 31 Jan 2019 11:30:32 +0100 (CET)
Received: from jurong (cable-78.29.213.16.coditel.net [78.29.213.16])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 15FAC97BD;
 Thu, 31 Jan 2019 11:30:32 +0100 (CET)
Date: Thu, 31 Jan 2019 11:30:30 +0100
From: Andreas Enge <andreas@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: icecat show many warning and don't display correctly
Message-ID: <20190131103030.GA4271@jurong>
References: <CAE4v=piCm1wpKDtoraGx62qTg5-bte6L67oH2s2-Te5hFsVisA@HIDDEN>
 <CAH2wgjh=GU00GByWF88k0z5DN8jEaUhLFfb031ODyzXuMVp3BQ@HIDDEN>
 <CAE4v=pg89dbz-JESa4eEohb2FySd+q_Cv8JSxKGCZYN7fVShbg@HIDDEN>
 <20190107181000.GA14844@jurong>
 <CAH2wgjjAW3fg2tfKnGNOHvR98Jd+5HhRmPov0K_H0CF6DvLevA@HIDDEN>
 <78584a9f1b7beabb5b6b09d6a67aa84e@HIDDEN>
 <20190127155410.GC10186@jurong>
 <20190128013129.upbea2jzzqyncpew@WaraToNora>
 <20190130170158.GA4088@jurong> <87d0oenhvu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <87d0oenhvu.fsf@HIDDEN>
User-Agent: Mutt/1.11.0 (2018-11-25)
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 32835
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

On Wed, Jan 30, 2019 at 07:02:29PM +0100, Ricardo Wurmus wrote:
> The solution might be to use glib-or-gtk-build-system instead of
> gnu-build-system.  This would wrap the binary in the required
> variables.
> 
> Would someone like to try this before we make the change in the master
> branch?

Okay, I will give it a try.

Andreas





Information forwarded to bug-guix@HIDDEN:
bug#32835; Package guix. Full text available.

Message received at 32835 <at> debbugs.gnu.org:


Received: (at 32835) by debbugs.gnu.org; 30 Jan 2019 18:03:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 30 13:03:03 2019
Received: from localhost ([127.0.0.1]:51905 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gouCU-0001nd-WF
	for submit <at> debbugs.gnu.org; Wed, 30 Jan 2019 13:03:03 -0500
Received: from sender-of-o51.zoho.com ([135.84.80.216]:21145)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1gouCS-0001nD-6q
 for 32835 <at> debbugs.gnu.org; Wed, 30 Jan 2019 13:03:00 -0500
ARC-Seal: i=1; a=rsa-sha256; t=1548871355; cv=none; d=zoho.com; s=zohoarc; 
 b=cSVr48RcDhADlN2Qclt6L16oPPDV4+zIT223a32ikEKeOMtgSk21vb4Z4g+qp6c+gkNfPSTKzyQ58QYTffSToptiXJTBT2oy1Tx9nmPZFUxLsrLXNQYPNWB262Imz1/xaCdT6fa002K563Gr3KEqI5sNhsn9rr5G0EtAOxSKEww=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1548871355;
 h=Content-Type:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=xDrqfztn8vhXTbMqEsVd68q01yUaRq00edYeh/LtJKY=; 
 b=gG7mSxMnX6wssKPNc11qphmZbrK437lDN8qZ/E11KrPcz5DBgGIMTbWJQIAspjS2mNXhxpzBi7Yhvdc/UQjLDAFW30NU8jikAyx/zZ0rAJGPQc9We/2CWNuV1SLqPu2CY6vvbyXkQYQvu/NTsgS4ajzyZm9Nkfk7AArR5JdMrPM=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1548871355; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type;
 l=730; bh=xDrqfztn8vhXTbMqEsVd68q01yUaRq00edYeh/LtJKY=;
 b=UEovrtdmOhrFSwvRpoqNPt9JQOU3l2ZIQDjMjMpXOjJzLVOwW2N64JIY5FsMKZ+n
 HNRY898IYOuVzXIwKZeceI6t59SYOUYevtrcMqg6X7U50eTvpeU/U+FEJDjiqquzg0a
 adWwnViaOJ8Cve3uKhK0G5B0imODlzlPxWV2RjpE=
Received: from localhost (p578E7126.dip0.t-ipconnect.de [87.142.113.38]) by
 mx.zohomail.com with SMTPS id 1548871354125996.3245155266848;
 Wed, 30 Jan 2019 10:02:34 -0800 (PST)
References: <CAH2wgjjeDygUOibhgn9fsDxuL53vegxmzAtfpEesa0yNEPKrgA@HIDDEN>
 <CAE4v=piCm1wpKDtoraGx62qTg5-bte6L67oH2s2-Te5hFsVisA@HIDDEN>
 <CAH2wgjh=GU00GByWF88k0z5DN8jEaUhLFfb031ODyzXuMVp3BQ@HIDDEN>
 <CAE4v=pg89dbz-JESa4eEohb2FySd+q_Cv8JSxKGCZYN7fVShbg@HIDDEN>
 <20190107181000.GA14844@jurong>
 <CAH2wgjjAW3fg2tfKnGNOHvR98Jd+5HhRmPov0K_H0CF6DvLevA@HIDDEN>
 <78584a9f1b7beabb5b6b09d6a67aa84e@HIDDEN> <20190127155410.GC10186@jurong>
 <20190128013129.upbea2jzzqyncpew@WaraToNora> <20190130170158.GA4088@jurong>
User-agent: mu4e 1.0; emacs 26.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: Andreas Enge <andreas@HIDDEN>
Subject: Re: icecat show many warning and don't display correctly
In-reply-to: <20190130170158.GA4088@jurong>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Wed, 30 Jan 2019 19:02:29 +0100
Message-ID: <87d0oenhvu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-ZohoMailClient: External
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 32835
Cc: Yoshinori Arai <kumagusu08@HIDDEN>, quiliro@HIDDEN, help-guix@HIDDEN,
 32835 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Andreas Enge <andreas@HIDDEN> writes:

> On Mon, Jan 28, 2019 at 10:31:29AM +0900, Yoshinori Arai wrote:
>> I think it's no problem if 'source "$HOME/.guix-profile/etc/profile"'
>> is written in user's bash_profile.
>
> I already do, but this is not enough. Installing icecat into the user profile
> does not cause XDG* environment variables to be set in $HOME/.guix-profile/etc/profile.
> It may work incidentally when other installed packages cause the variable
> to be set.

The solution might be to use glib-or-gtk-build-system instead of
gnu-build-system.  This would wrap the binary in the required
variables.

Would someone like to try this before we make the change in the master
branch?

--
Ricardo





Information forwarded to bug-guix@HIDDEN:
bug#32835; Package guix. Full text available.

Message received at 32835 <at> debbugs.gnu.org:


Received: (at 32835) by debbugs.gnu.org; 30 Jan 2019 17:02:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 30 12:02:05 2019
Received: from localhost ([127.0.0.1]:51882 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gotFV-0000Kj-Fh
	for submit <at> debbugs.gnu.org; Wed, 30 Jan 2019 12:02:05 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:50078)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreas@HIDDEN>) id 1gotFS-0000KK-3P
 for 32835 <at> debbugs.gnu.org; Wed, 30 Jan 2019 12:02:03 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 7C4F294C0;
 Wed, 30 Jan 2019 18:02:00 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id pKxJsH1VAQPV; Wed, 30 Jan 2019 18:02:00 +0100 (CET)
Received: from jurong (wifi-eduroam-85-014.paris.inria.fr [128.93.85.14])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id B2CD394A6;
 Wed, 30 Jan 2019 18:01:59 +0100 (CET)
Date: Wed, 30 Jan 2019 18:01:58 +0100
From: Andreas Enge <andreas@HIDDEN>
To: Yoshinori Arai <kumagusu08@HIDDEN>
Subject: Re: icecat show many warning and don't display correctly
Message-ID: <20190130170158.GA4088@jurong>
References: <CAH2wgjjeDygUOibhgn9fsDxuL53vegxmzAtfpEesa0yNEPKrgA@HIDDEN>
 <CAE4v=piCm1wpKDtoraGx62qTg5-bte6L67oH2s2-Te5hFsVisA@HIDDEN>
 <CAH2wgjh=GU00GByWF88k0z5DN8jEaUhLFfb031ODyzXuMVp3BQ@HIDDEN>
 <CAE4v=pg89dbz-JESa4eEohb2FySd+q_Cv8JSxKGCZYN7fVShbg@HIDDEN>
 <20190107181000.GA14844@jurong>
 <CAH2wgjjAW3fg2tfKnGNOHvR98Jd+5HhRmPov0K_H0CF6DvLevA@HIDDEN>
 <78584a9f1b7beabb5b6b09d6a67aa84e@HIDDEN>
 <20190127155410.GC10186@jurong>
 <20190128013129.upbea2jzzqyncpew@WaraToNora>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <20190128013129.upbea2jzzqyncpew@WaraToNora>
User-Agent: Mutt/1.11.0 (2018-11-25)
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 32835
Cc: quiliro@HIDDEN, help-guix@HIDDEN, 32835 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

On Mon, Jan 28, 2019 at 10:31:29AM +0900, Yoshinori Arai wrote:
> I think it's no problem if 'source "$HOME/.guix-profile/etc/profile"'
> is written in user's bash_profile.

I already do, but this is not enough. Installing icecat into the user profile
does not cause XDG* environment variables to be set in $HOME/.guix-profile/etc/profile.
It may work incidentally when other installed packages cause the variable
to be set.

Andreas





Information forwarded to bug-guix@HIDDEN:
bug#32835; Package guix. Full text available.

Message received at 32835 <at> debbugs.gnu.org:


Received: (at 32835) by debbugs.gnu.org; 28 Jan 2019 02:12:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 27 21:12:56 2019
Received: from localhost ([127.0.0.1]:48114 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gnwPv-0002Ih-Qj
	for submit <at> debbugs.gnu.org; Sun, 27 Jan 2019 21:12:56 -0500
Received: from mail-pl1-f182.google.com ([209.85.214.182]:36760)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kumagusu08@HIDDEN>) id 1gnvm2-0001M0-Vt
 for 32835 <at> debbugs.gnu.org; Sun, 27 Jan 2019 20:31:43 -0500
Received: by mail-pl1-f182.google.com with SMTP id g9so7008534plo.3
 for <32835 <at> debbugs.gnu.org>; Sun, 27 Jan 2019 17:31:42 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-disposition:content-transfer-encoding:in-reply-to
 :user-agent; bh=dx4o67wFmTbOm1Ukyw8C7Q6xIgTGk0yCkdQSVdQVb/4=;
 b=BAKMB1N9PqHVah/9mhh2jIOvdm33MFmaEYxYmRnQwFKFQm1oJSZUmEsUr+YXD/hBIo
 yUrjwyLAjRXo4xnfiXGeEv+hY28XBMq3cZx/hBlGMNf15pdH0eqXnyO257KYGn6P4RVv
 HH3mLAM7CGvwJeI6J9KIyl9xWyr+ISKd2u79xJKzSHANCWAQOWzLmwM5B1IXigyjl6iS
 7kHrqIE+i6jYHzOLtVLOd08BR93XQOiqTpZzsWr20bBqOf8wSqlhg9paG9PW7uM9zV1+
 roitip3a/DCILRYBCILlrRnSsYQT8wc7bRC6fkAG1YlayBKDyAvKrpNKosB2CTjeBFHA
 8Wuw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:from:to:cc:subject:message-id:references
 :mime-version:content-disposition:content-transfer-encoding
 :in-reply-to:user-agent;
 bh=dx4o67wFmTbOm1Ukyw8C7Q6xIgTGk0yCkdQSVdQVb/4=;
 b=FMy57YC+whdbpBp3xVcx8woABRiBtwJZauan9dEeSyNzEmkBMzxpfS1+uUm6yj3Mmy
 vwhj75WNNSG6T180bpL20C2P/26/J57bYS65goW8yNFy347Y2/g0PJ97LVks3ikyq9yS
 SRGdG3znES5MYOGo100f3NwJIDBhW/vP8izyxaBZN+pf+FEtrU3yGzMbvkhctRriZcxM
 PfivAeFWI8DjAlqz2Ks8YKUbNpzR3Tqfz+9aki+HyCfrfpHyVGICyN4+qFhADj4U1zDg
 MwYsBfN0+IdCVZJNEcfACu4neEwxbx2hAfipotol71nDw8AqHSqf9850U8uGIYNbG8BR
 qjoA==
X-Gm-Message-State: AJcUukcaxSC4ms2QSr3wve/D8xj5ADOfSGIP5Xpnu+y3fxy1N5xEE2IE
 YPL1CX0AXOkAli4b0KymvgI=
X-Google-Smtp-Source: ALg8bN4PJJSFzrBe8Wd5gkwrKY8uZ60Unk0dly2O2q/0F3hN+zx3V2Z1dS8bh6gl0fwAe/ERQ2B9lQ==
X-Received: by 2002:a17:902:4222:: with SMTP id
 g31mr19833342pld.240.1548639097136; 
 Sun, 27 Jan 2019 17:31:37 -0800 (PST)
Received: from localhost ([2409:11:4a40:3600:afd4:3247:4a32:242a])
 by smtp.gmail.com with ESMTPSA id 84sm42884459pfk.134.2019.01.27.17.31.35
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 27 Jan 2019 17:31:36 -0800 (PST)
Date: Mon, 28 Jan 2019 10:31:29 +0900
From: Yoshinori Arai <kumagusu08@HIDDEN>
To: Andreas Enge <andreas@HIDDEN>
Subject: Re: icecat show many warning and don't display correctly
Message-ID: <20190128013129.upbea2jzzqyncpew@WaraToNora>
References: <CAH2wgjjeDygUOibhgn9fsDxuL53vegxmzAtfpEesa0yNEPKrgA@HIDDEN>
 <CAE4v=piCm1wpKDtoraGx62qTg5-bte6L67oH2s2-Te5hFsVisA@HIDDEN>
 <CAH2wgjh=GU00GByWF88k0z5DN8jEaUhLFfb031ODyzXuMVp3BQ@HIDDEN>
 <CAE4v=pg89dbz-JESa4eEohb2FySd+q_Cv8JSxKGCZYN7fVShbg@HIDDEN>
 <20190107181000.GA14844@jurong>
 <CAH2wgjjAW3fg2tfKnGNOHvR98Jd+5HhRmPov0K_H0CF6DvLevA@HIDDEN>
 <78584a9f1b7beabb5b6b09d6a67aa84e@HIDDEN>
 <20190127155410.GC10186@jurong>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <20190127155410.GC10186@jurong>
User-Agent: NeoMutt/20180716
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 32835
X-Mailman-Approved-At: Sun, 27 Jan 2019 21:12:52 -0500
Cc: quiliro@HIDDEN, help-guix@HIDDEN, 32835 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

On Sun, Jan 27, 2019 at 04:54:10PM +0100, Andreas Enge wrote:
> Hello,
> 
> On Fri, Jan 18, 2019 at 07:57:40AM -0800, Quiliro Ordonez wrote:
> > El 2019-01-07 21:41, 荒井吉則 escribió:
> > > It's working. 
> > > 
> > > export
> > > XDG_DATA_DIRS="$HOME/.guix-profile/share${XDG_DATA_DIRS:+:}$XDG_DATA_DIRS"
> > 
> > icecat &
> > does not work.
> > 
> > export
> > XDG_DATA_DIRS="$HOME/.guix-profile/share${XDG_DATA_DIRS:+:}$XDG_DATA_DIRS"
> > && icecat &
> > works perfectly.
> > 
> > Must something be modified on the software definition? This is not
> > something the user should change.
> 
> this seems to be the same problem as bug #32835, which I am cc-ing.
> Do we need to add search paths? Or wrap a binary?
> 
> Andreas
> 
> 
I think it's no problem if 'source "$HOME/.guix-profile/etc/profile"'
is written in user's bash_profile.

I'm afraid my response is out of your point.





Information forwarded to bug-guix@HIDDEN:
bug#32835; Package guix. Full text available.

Message received at 32835 <at> debbugs.gnu.org:


Received: (at 32835) by debbugs.gnu.org; 27 Jan 2019 15:54:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 27 10:54:15 2019
Received: from localhost ([127.0.0.1]:47742 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gnmlD-0008Hc-NM
	for submit <at> debbugs.gnu.org; Sun, 27 Jan 2019 10:54:15 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:48892)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <andreas@HIDDEN>) id 1gnmlB-0008HT-L5
 for 32835 <at> debbugs.gnu.org; Sun, 27 Jan 2019 10:54:14 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 5C0457E35;
 Sun, 27 Jan 2019 16:54:12 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id ZuN-ufhlVQ3F; Sun, 27 Jan 2019 16:54:11 +0100 (CET)
Received: from jurong (unknown [IPv6:2001:910:103f::c1e])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 9EB4F7E30;
 Sun, 27 Jan 2019 16:54:11 +0100 (CET)
Date: Sun, 27 Jan 2019 16:54:10 +0100
From: Andreas Enge <andreas@HIDDEN>
To: quiliro@HIDDEN
Subject: Re: icecat show many warning and don't display correctly
Message-ID: <20190127155410.GC10186@jurong>
References: <CAH2wgjjeDygUOibhgn9fsDxuL53vegxmzAtfpEesa0yNEPKrgA@HIDDEN>
 <CAE4v=piCm1wpKDtoraGx62qTg5-bte6L67oH2s2-Te5hFsVisA@HIDDEN>
 <CAH2wgjh=GU00GByWF88k0z5DN8jEaUhLFfb031ODyzXuMVp3BQ@HIDDEN>
 <CAE4v=pg89dbz-JESa4eEohb2FySd+q_Cv8JSxKGCZYN7fVShbg@HIDDEN>
 <20190107181000.GA14844@jurong>
 <CAH2wgjjAW3fg2tfKnGNOHvR98Jd+5HhRmPov0K_H0CF6DvLevA@HIDDEN>
 <78584a9f1b7beabb5b6b09d6a67aa84e@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <78584a9f1b7beabb5b6b09d6a67aa84e@HIDDEN>
User-Agent: Mutt/1.11.0 (2018-11-25)
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 32835
Cc: 32835 <at> debbugs.gnu.org, help-guix@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

Hello,

On Fri, Jan 18, 2019 at 07:57:40AM -0800, Quiliro Ordonez wrote:
> El 2019-01-07 21:41, 荒井吉則 escribió:
> > It's working. 
> > 
> > export
> > XDG_DATA_DIRS="$HOME/.guix-profile/share${XDG_DATA_DIRS:+:}$XDG_DATA_DIRS"
> 
> icecat &
> does not work.
> 
> export
> XDG_DATA_DIRS="$HOME/.guix-profile/share${XDG_DATA_DIRS:+:}$XDG_DATA_DIRS"
> && icecat &
> works perfectly.
> 
> Must something be modified on the software definition? This is not
> something the user should change.

this seems to be the same problem as bug #32835, which I am cc-ing.
Do we need to add search paths? Or wrap a binary?

Andreas





Information forwarded to bug-guix@HIDDEN:
bug#32835; Package guix. Full text available.

Message received at 32835 <at> debbugs.gnu.org:


Received: (at 32835) by debbugs.gnu.org; 25 Sep 2018 20:05:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 25 16:05:39 2018
Received: from localhost ([127.0.0.1]:54082 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g4taV-0001c3-7F
	for submit <at> debbugs.gnu.org; Tue, 25 Sep 2018 16:05:39 -0400
Received: from sender-of-o51.zoho.com ([135.84.80.216]:21026)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1g4taT-0001bu-AO
 for 32835 <at> debbugs.gnu.org; Tue, 25 Sep 2018 16:05:38 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1537905930; cv=none; d=zoho.com; s=zohoarc; 
 b=mqbzADjUgMBMkv6dEfVSwY8CNTtWpLBkssdlv1b6TD1c4mn5f8HgDukZghwDYjxayvs/zIZmUpzmX91PpoygbZ3viuE+nka0crVw/6C6hObrZbj2NBYm8eSLCTWVvsz68m88aCVXVd/qBuI9Ys30GeGKiV4aONJd21Xapahs3H8=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1537905930;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=K8zhdIk3w9NSX5vkwBG0NOytcQPH4sZgiEOm1rM9IIU=; 
 b=KolpbIGBvUzKgUi6fFSMmPpjDfzMmHc4f3dWLjOzLQ909FCo0TgktTi0v2BxGxhr+MzTobmQO4OLfavzqOaMWym5qt59zWKPHbigPqV8m+V7Ej8CF64lw9/49zbT66FdOs4P9fr7hQMDTIpqyMdkr6nI5Zu9mNL1NhlNSSsVGaI=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1537905930; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=1015; bh=K8zhdIk3w9NSX5vkwBG0NOytcQPH4sZgiEOm1rM9IIU=;
 b=W+hpHkOYPPUYqvsrvT9MZIn8b9b+BDWHWVDwqmqBLSkGEK2U0xFa2GrBS7+COqkT
 kVXo9ca8XdZZBOz47UVXrxVRqcGXsxF4L8Z+C5NOTYJHcxiHxEdWCxK1Tkn0a/LYqgb
 U2sU9muaWtRSI9f3mw5NPDGT2I3HjZPLhJEp20Nk=
Received: from localhost (port-92-200-63-25.dynamic.qsc.de [92.200.63.25]) by
 mx.zohomail.com with SMTPS id 1537905929613948.4064686794508;
 Tue, 25 Sep 2018 13:05:29 -0700 (PDT)
References: <20180925090451.6c6e5a35@alma-ubu> <8736ty6i97.fsf@HIDDEN>
 <20180925154947.6367d8d4@alma-ubu>
User-agent: mu4e 1.0; emacs 26.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: =?utf-8?Q?Bj=C3=B6rn_H=C3=B6fling?= <bjoern.hoefling@HIDDEN>
Subject: Re: bug#32835: Icecat is missing fonts (on foreign distro)
In-reply-to: <20180925154947.6367d8d4@alma-ubu>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Tue, 25 Sep 2018 22:05:26 +0200
Message-ID: <87wor95omx.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32835
Cc: 32835 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Bj=C3=B6rn H=C3=B6fling <bjoern.hoefling@HIDDEN> writes:

> On Tue, 25 Sep 2018 11:25:40 +0200
> Ricardo Wurmus <rekado@HIDDEN> wrote:
>
>> Bj=C3=B6rn H=C3=B6fling <bjoern.hoefling@HIDDEN> writes:
>>=20
>> > When Icecat is up, it looks "normal" and can be used normally [the
>> > more images a site uses, the better the user experience is :-)],
>> > just that ALL letters are just boxes with numbers in them (i.e.
>> > what you usually see only partially when some wired UTF-sign is not
>> > installed).=20=20
>>=20
>> Does this happen even after installing fonts and running =E2=80=9Cfc-cac=
he
>> -f=E2=80=9D?
>>=20
>
> Do I have to do that in Guix or on the foreign distro?

On the foreign distro.

> If in Guix, where is fc-cache and which font package should I choose?

The =E2=80=9Cfontconfig=E2=80=9D package provides fc-cache.  See the subsec=
tion =E2=80=9CX11
Fonts=E2=80=9D under =E2=80=9CApplication Setup=E2=80=9D in the manual.

--=20
Ricardo





Information forwarded to bug-guix@HIDDEN:
bug#32835; Package guix. Full text available.

Message received at 32835 <at> debbugs.gnu.org:


Received: (at 32835) by debbugs.gnu.org; 25 Sep 2018 16:49:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 25 12:49:24 2018
Received: from localhost ([127.0.0.1]:53960 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g4qWa-00058V-4l
	for submit <at> debbugs.gnu.org; Tue, 25 Sep 2018 12:49:24 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44224)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mtg@HIDDEN>) id 1g4qWY-00058H-LY
 for 32835 <at> debbugs.gnu.org; Tue, 25 Sep 2018 12:49:22 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mtg@HIDDEN>) id 1g4qWR-00042C-Ob
 for 32835 <at> debbugs.gnu.org; Tue, 25 Sep 2018 12:49:16 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:32875)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <mtg@HIDDEN>)
 id 1g4qWP-00040A-Tx; Tue, 25 Sep 2018 12:49:14 -0400
Received: from localhost ([::1]:41678 helo=mikegerwitz-pc.gerwitz.local)
 by fencepost.gnu.org with esmtps (TLS1.2:DHE_RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <mtg@HIDDEN>)
 id 1g4qWK-0004Li-4T; Tue, 25 Sep 2018 12:49:12 -0400
From: Mike Gerwitz <mtg@HIDDEN>
To: =?utf-8?Q?Bj=C3=B6rn_H=C3=B6fling?= <bjoern.hoefling@HIDDEN>
Subject: Re: bug#32835: Icecat is missing fonts (on foreign distro)
In-Reply-To: <20180925090451.6c6e5a35@alma-ubu> (=?utf-8?Q?=22Bj=C3=B6rn?=
 =?utf-8?Q?_H=C3=B6fling=22's?= message of
 "Tue, 25 Sep 2018 09:04:51 +0200")
Date: Tue, 25 Sep 2018 12:48:13 -0400
Message-ID: <874leded6a.fsf@HIDDEN>
References: <20180925090451.6c6e5a35@alma-ubu>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
OpenPGP: id=22175B02E626BC98D7C0C2E5F22BB8158EE30EAB
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32835
Cc: 32835 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On Tue, Sep 25, 2018 at 09:04:51 +0200, Bj=C3=B6rn H=C3=B6fling wrote:
> When Icecat is up, it looks "normal" and can be used normally [the
> more images a site uses, the better the user experience is :-)], just
> that ALL letters are just boxes with numbers in them (i.e. what you
> usually see only partially when some wired UTF-sign is not installed).

I run IceCat within a container, and I noticed that upgrading to 60
caused for me the issue that you are describing.

But if I run IceCat normally (as installed to my profile), fonts are
fine.

=2D-=20
Mike Gerwitz
Free Software Hacker+Activist | GNU Maintainer & Volunteer
GPG: D6E9 B930 028A 6C38 F43B  2388 FEF6 3574 5E6F 6D05
https://mikegerwitz.com

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCgAGBQJbqmbOAAoJEIyRe39dxRuiy+gP/2kIe+CqBYi6BLjP6r+l3/YB
i7H9qr45siOLrUkbySme/1Onqp1mUhJ9Ea+/NuoM7z6ScJR+Xrz+flEqGM9l7MEj
AugXSbdS/GrqZon+aIElM/b+uUY+5nNkfSP6C3kv9j4osvRoEusOvdRMVtgH+3rT
HCMjIR5nLWjf7yl41sVF9DwM0sxVNwhw2ekXLGAglMF2dEFaC93leiCAT1aTaXAB
+gXRc5pLTKRDSWMacFZj8meNEfLgE+DUO2kLEYkqrPzNUeU0k4tm688cnSCPyt/s
aFonbd0+CHSHf2z+c3ymOjoRZgNFnO2IBMx5flSanHyGFjrZA2oor0bi77HM6w9g
sXpY2AswbEryfxKDCMGpNs+gdolc3lIzFFtlGiQNr9JaaSgMP5U4/wovd/IynbZz
sZfmpKIiot0DxIYpTrCHjvrY7KJ/+80x0hRqAoVN3cA+PPvT3sQ8ZdqdyclCaXY4
SMfkW1q2pKDpYSoFxagd95J0AthS756YKjgxSYU26IEY4Y2Q5D93ZWqe+cP1D+yZ
f8p+9301qiEGxk7Bj7sY0FX2nqRdnjZOucYTe2S3u6DoJ0ZM6xRd7kT19iWgJ8F0
V4Enmca7mGOusA/nUx/aI3Dpw7ZKyPYjPXDY+FMzI3CDfveHRSupQ4s3YOs40pMo
wdAjzT9TglwCGdkWDXya
=Qbug
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#32835; Package guix. Full text available.

Message received at 32835 <at> debbugs.gnu.org:


Received: (at 32835) by debbugs.gnu.org; 25 Sep 2018 13:49:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 25 09:49:53 2018
Received: from localhost ([127.0.0.1]:52966 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g4nir-0000T2-G4
	for submit <at> debbugs.gnu.org; Tue, 25 Sep 2018 09:49:53 -0400
Received: from m4s11.vlinux.de ([83.151.27.109]:60376 helo=bjoernhoefling.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bjoern.hoefling@HIDDEN>)
 id 1g4nip-0000Sq-0e
 for 32835 <at> debbugs.gnu.org; Tue, 25 Sep 2018 09:49:51 -0400
Received: from alma-ubu (p57B52D3E.dip0.t-ipconnect.de [87.181.45.62])
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (No client certificate requested)
 by bjoernhoefling.de (Postfix) with ESMTPSA id 6BF2A40437;
 Tue, 25 Sep 2018 15:49:49 +0200 (CEST)
Date: Tue, 25 Sep 2018 15:49:47 +0200
From: =?UTF-8?B?QmrDtnJuIEjDtmZsaW5n?= <bjoern.hoefling@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: bug#32835: Icecat is missing fonts (on foreign distro)
Message-ID: <20180925154947.6367d8d4@alma-ubu>
In-Reply-To: <8736ty6i97.fsf@HIDDEN>
References: <20180925090451.6c6e5a35@alma-ubu> <8736ty6i97.fsf@HIDDEN>
X-Mailer: Claws Mail 3.13.2 (GTK+ 2.24.30; x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
 boundary="Sig_/g.t/4G=xL/3wpYD74DT_2pZ"; protocol="application/pgp-signature"
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 32835
Cc: 32835 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)

--Sig_/g.t/4G=xL/3wpYD74DT_2pZ
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

On Tue, 25 Sep 2018 11:25:40 +0200
Ricardo Wurmus <rekado@HIDDEN> wrote:

> Bj=C3=B6rn H=C3=B6fling <bjoern.hoefling@HIDDEN> writes:
>=20
> > When Icecat is up, it looks "normal" and can be used normally [the
> > more images a site uses, the better the user experience is :-)],
> > just that ALL letters are just boxes with numbers in them (i.e.
> > what you usually see only partially when some wired UTF-sign is not
> > installed). =20
>=20
> Does this happen even after installing fonts and running =E2=80=9Cfc-cache
> -f=E2=80=9D?
>=20

Do I have to do that in Guix or on the foreign distro?

If in Guix, where is fc-cache and which font package should I choose?

Hm, some days ago I installed also in an isolated profile icecat in
that vesion:

GNU IceCat 52.6.0

I don't know anymore the guix version that one is from, but that works
as expected.

Bj=C3=B6rn

--Sig_/g.t/4G=xL/3wpYD74DT_2pZ
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iEYEARECAAYFAluqPPwACgkQvyhstlk+X/0tpQCgi5E1RNBJTG8XIrXM/g8JxAGr
9g0AnjrRABoMUZoePfnaFHWwxT/WDZX9
=1MWu
-----END PGP SIGNATURE-----

--Sig_/g.t/4G=xL/3wpYD74DT_2pZ--




Information forwarded to bug-guix@HIDDEN:
bug#32835; Package guix. Full text available.

Message received at 32835 <at> debbugs.gnu.org:


Received: (at 32835) by debbugs.gnu.org; 25 Sep 2018 09:26:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 25 05:26:12 2018
Received: from localhost ([127.0.0.1]:52868 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g4jbg-0008C8-Fw
	for submit <at> debbugs.gnu.org; Tue, 25 Sep 2018 05:26:12 -0400
Received: from sender-of-o51.zoho.com ([135.84.80.216]:21041)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1g4jbe-0008Bz-2H
 for 32835 <at> debbugs.gnu.org; Tue, 25 Sep 2018 05:26:10 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1537867547; cv=none; d=zoho.com; s=zohoarc; 
 b=mh/SS3sL6tgQmHSWxIGSND2Ry1p2WrbpmT+GWJ0ZqswIC+IDt248rYPJzU4/S3+9aYiOSGqdab+hNIdwCiXR7El7Fu1YvM3WJDWYJrEk10hxalQymoT8PgCapEcr+/8AH/Lb701bMnZHb3PstzTni0IVyYGoNhTso6TwcJMezdQ=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zoho.com;
 s=zohoarc; t=1537867547;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To:ARC-Authentication-Results;
 bh=E5DIOhPQyapBIvAOPdAO+J4L5doYJV62NtExGVK8SJc=; 
 b=dcvfsRRBFcbyU/GBHSSCF7/Ff1T1DRJ/gpDEIHSPwuh5m/yt04LHtIjlPLWtwRSuAfXzifQrldqSLFOZJiuzVlaHXKgfkuUYDpJ+/P9wwlMqLyi942G3SQmZMLJZx9OhKfeKTElmqWEUnbKaCEoiA/NbaRDiDE91w1LDW+UN9Tc=
ARC-Authentication-Results: i=1; mx.zoho.com; dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1537867547; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 l=473; bh=E5DIOhPQyapBIvAOPdAO+J4L5doYJV62NtExGVK8SJc=;
 b=U2DHZHysyDbQRaFykDg3q9Eg9Ou06y0M9BaOcnL1IcWTzeRUK6Ao/bdX6sHl1BZz
 R1A0B29RYX+b8wuHsC0fDJd/qQ7HraO2Xm04tB7dZsJd6198+EpP2IbM6v5xH94m3L7
 7gQ2AYI9EDZxQVfxLYSnoASRnd8dn8fnTQ5dcB0Q=
Received: from localhost (port-92-200-63-25.dynamic.qsc.de [92.200.63.25]) by
 mx.zohomail.com with SMTPS id 1537867543940926.3822998297509;
 Tue, 25 Sep 2018 02:25:43 -0700 (PDT)
References: <20180925090451.6c6e5a35@alma-ubu>
User-agent: mu4e 1.0; emacs 26.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: =?utf-8?Q?Bj=C3=B6rn_H=C3=B6fling?= <bjoern.hoefling@HIDDEN>
Subject: Re: bug#32835: Icecat is missing fonts (on foreign distro)
In-reply-to: <20180925090451.6c6e5a35@alma-ubu>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Tue, 25 Sep 2018 11:25:40 +0200
Message-ID: <8736ty6i97.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32835
Cc: 32835 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Bj=C3=B6rn H=C3=B6fling <bjoern.hoefling@HIDDEN> writes:

> When Icecat is up, it looks "normal" and can be used normally [the
> more images a site uses, the better the user experience is :-)], just
> that ALL letters are just boxes with numbers in them (i.e. what you
> usually see only partially when some wired UTF-sign is not installed).

Does this happen even after installing fonts and running =E2=80=9Cfc-cache =
-f=E2=80=9D?

--=20
Ricardo





Information forwarded to bug-guix@HIDDEN:
bug#32835; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Sep 2018 08:36:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 25 04:36:38 2018
Received: from localhost ([127.0.0.1]:52847 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g4ipi-0006wv-Nz
	for submit <at> debbugs.gnu.org; Tue, 25 Sep 2018 04:36:38 -0400
Received: from eggs.gnu.org ([208.118.235.92]:32809)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <julien@HIDDEN>) id 1g4ipg-0006wi-Va
 for submit <at> debbugs.gnu.org; Tue, 25 Sep 2018 04:36:37 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <julien@HIDDEN>) id 1g4ipa-00055s-VA
 for submit <at> debbugs.gnu.org; Tue, 25 Sep 2018 04:36:31 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:46669)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <julien@HIDDEN>) id 1g4ipa-00055d-NA
 for submit <at> debbugs.gnu.org; Tue, 25 Sep 2018 04:36:30 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:42408)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <julien@HIDDEN>) id 1g4ipW-00055i-Sg
 for bug-guix@HIDDEN; Tue, 25 Sep 2018 04:36:30 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <julien@HIDDEN>) id 1g4ipU-0004qq-8P
 for bug-guix@HIDDEN; Tue, 25 Sep 2018 04:36:26 -0400
Received: from lepiller.eu ([2a00:5884:8208::1]:44594)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <julien@HIDDEN>) id 1g4ipT-0004ax-Tb
 for bug-guix@HIDDEN; Tue, 25 Sep 2018 04:36:24 -0400
Received: from webmail.lepiller.eu (static-176-182-42-79.ncc.abo.bbox.fr
 [176.182.42.79]) by lepiller.eu (OpenSMTPD) with ESMTPSA id 9d2a559b
 (TLSv1.2:ECDHE-RSA-CHACHA20-POLY1305:256:NO) for <bug-guix@HIDDEN>;
 Tue, 25 Sep 2018 08:37:57 +0000 (UTC)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8;
 format=flowed
Content-Transfer-Encoding: 8bit
Date: Tue, 25 Sep 2018 10:36:20 +0200
From: Julien Lepiller <julien@HIDDEN>
To: bug-guix@HIDDEN
Subject: Re: bug#32835: Icecat is missing fonts (on foreign distro)
In-Reply-To: <20180925090451.6c6e5a35@alma-ubu>
References: <20180925090451.6c6e5a35@alma-ubu>
Message-ID: <baff1f072cfe1a463e11955a05f2e354@HIDDEN>
X-Sender: julien@HIDDEN
User-Agent: Roundcube Webmail/1.3.6
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Le 2018-09-25 09:04, Björn Höfling a écrit :
> I was curious about the new IceCat 60 and it's CSS problem, so I tried
> to install it.
> 
> I'm on on Ubuntu+Guix:
> 
>  guix --version
> guix (GNU Guix) a68b45142373dd75bc96f9c4f8151bcd4e972888
> 
> installed it in a separate profile:
> 
> guix package -p guix-test-profile -i icecat
> 
> Then started it:
> 
> guix-test-profile/bin/icecat
> 
> On the command line, it showed one message (is this relevant or just
> part of the usual Gtk-Noise?):
> 
> Gtk-Message: 08:50:02.414: Failed to load module "canberra-gtk-module"
> 
> When Icecat is up, it looks "normal" and can be used normally [the
> more images a site uses, the better the user experience is :-)], just
> that ALL letters are just boxes with numbers in them (i.e. what you
> usually see only partially when some wired UTF-sign is not installed).
> 
> As this is not related to the CSS-Problem, I open a new bug.
> 
> Screenshot attached.
> 
> Björn

 From a foreign distro, with "guix system --ad-hoc icecat -- icecat", I 
can
read text normally.




Information forwarded to bug-guix@HIDDEN:
bug#32835; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 25 Sep 2018 07:05:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 25 03:05:37 2018
Received: from localhost ([127.0.0.1]:52784 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g4hPd-0004ay-NR
	for submit <at> debbugs.gnu.org; Tue, 25 Sep 2018 03:05:37 -0400
Received: from eggs.gnu.org ([208.118.235.92]:37750)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bjoern.hoefling@HIDDEN>)
 id 1g4hPb-0004ai-AT
 for submit <at> debbugs.gnu.org; Tue, 25 Sep 2018 03:05:35 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bjoern.hoefling@HIDDEN>)
 id 1g4hPR-0007n0-JL
 for submit <at> debbugs.gnu.org; Tue, 25 Sep 2018 03:05:27 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.9 required=5.0 tests=BAYES_00,FROM_EXCESS_BASE64
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:48288)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bjoern.hoefling@HIDDEN>)
 id 1g4hPO-0007js-N4
 for submit <at> debbugs.gnu.org; Tue, 25 Sep 2018 03:05:23 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:47302)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bjoern.hoefling@HIDDEN>)
 id 1g4hPJ-0001SV-H7
 for bug-guix@HIDDEN; Tue, 25 Sep 2018 03:05:22 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bjoern.hoefling@HIDDEN>)
 id 1g4hP5-0007eM-13
 for bug-guix@HIDDEN; Tue, 25 Sep 2018 03:05:12 -0400
Received: from m4s11.vlinux.de ([83.151.27.109]:46652 helo=bjoernhoefling.de)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bjoern.hoefling@HIDDEN>)
 id 1g4hP3-0007bm-3V
 for bug-guix@HIDDEN; Tue, 25 Sep 2018 03:05:02 -0400
Received: from alma-ubu (p57B52D3E.dip0.t-ipconnect.de [87.181.45.62])
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (No client certificate requested)
 by bjoernhoefling.de (Postfix) with ESMTPSA id 0731E40437
 for <bug-guix@HIDDEN>; Tue, 25 Sep 2018 09:04:56 +0200 (CEST)
Date: Tue, 25 Sep 2018 09:04:51 +0200
From: =?UTF-8?B?QmrDtnJuIEjDtmZsaW5n?= <bjoern.hoefling@HIDDEN>
To: <bug-guix@HIDDEN>
Subject: Icecat is missing fonts (on foreign distro)
Message-ID: <20180925090451.6c6e5a35@alma-ubu>
X-Mailer: Claws Mail 3.13.2 (GTK+ 2.24.30; x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
 boundary="Sig_/HcCC9Bufk3WuXnc0XuGUb=F"; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.9 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.9 (-----)

--Sig_/HcCC9Bufk3WuXnc0XuGUb=F
Content-Type: multipart/mixed; boundary="MP_/ZPiMe0+wTejHRC9Ic3f8_Fb"

--MP_/ZPiMe0+wTejHRC9Ic3f8_Fb
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
Content-Disposition: inline

I was curious about the new IceCat 60 and it's CSS problem, so I tried
to install it.

I'm on on Ubuntu+Guix:

 guix --version
guix (GNU Guix) a68b45142373dd75bc96f9c4f8151bcd4e972888

installed it in a separate profile:

guix package -p guix-test-profile -i icecat

Then started it:

guix-test-profile/bin/icecat

On the command line, it showed one message (is this relevant or just
part of the usual Gtk-Noise?):

Gtk-Message: 08:50:02.414: Failed to load module "canberra-gtk-module"

When Icecat is up, it looks "normal" and can be used normally [the
more images a site uses, the better the user experience is :-)], just
that ALL letters are just boxes with numbers in them (i.e. what you
usually see only partially when some wired UTF-sign is not installed).

As this is not related to the CSS-Problem, I open a new bug.

Screenshot attached.

Bj=C3=B6rn

--MP_/ZPiMe0+wTejHRC9Ic3f8_Fb
Content-Type: image/png
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=icecat-utf-boxes.png
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--MP_/ZPiMe0+wTejHRC9Ic3f8_Fb--

--Sig_/HcCC9Bufk3WuXnc0XuGUb=F
Content-Type: application/pgp-signature
Content-Description: OpenPGP digital signature

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iEYEARECAAYFAlup3hQACgkQvyhstlk+X/0chgCgjuCwa8dXS1A8nNdvdtSHWyXT
YTEAn2tezBRm4XdKKKA4Qxd1VvCk/wfA
=XkQQ
-----END PGP SIGNATURE-----

--Sig_/HcCC9Bufk3WuXnc0XuGUb=F--




Acknowledgement sent to Björn Höfling <bjoern.hoefling@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#32835; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 4 Feb 2019 13:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.